package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;

/**
 * (BasePerson)实体类
 *
 * @author makejava
 * @since 2023-03-03 15:26:37
 */
public class BasePerson implements Serializable {
    private static final long serialVersionUID = -94108223975935988L;

    private Integer id;
    /**
     * 公司/单位
     */
    private Integer dw;
    private String dwmc;
    private String dwxz;
    private String dwxzmc;
    /**
     * 姓名
     */
    private String xm;
    /**
     * 性别
     */
    private String xb;
    /**
     * 民族
     */
    private String mz;
    /**
     * 出生地
     */
    private String csd;
    /**
     * 出生日期
     */
    private Date csrq;
    /**
     * 党派
     */
    private String dp;
    private String dpmc;
    /**
     * 何国华侨
     */
    private String hghq;
    private String hghqmc;
    /**
     * 工作单位
     */
    private Integer gzdw;
    private String gzdwmc;
    /**
     * 固定电话
     */
    private String gddh;
    /**
     * 家庭住址
     */
    private String jtzz1;
    /**
     * 住宅电话
     */
    private String zzdh;
    /**
     * 通讯地址
     */
    private String txdz1;
    /**
     * 电子邮件
     */
    private String dzyj;
    /**
     * 毕业学校
     */
    private Integer byxx;
    private String byxxmc;
    /**
     * 学历
     */
    private Integer xl;
    private String xlmc;
    /**
     * 学位
     */
    private String xw;
    private String xwmc;
    /**
     * 职称
     */
    private String zc;
    private String zcmc;
    /**
     * 专业、专长
     */
    private String zyzc;
    /**
     * 毕业时间
     */
    private Date bysj;
    /**
     * 外语语种
     */
    private Integer wyyz;
    private String wyyzmc;
    /**
     * 熟练程度
     */
    private String slcd;
    /**
     * 出生地址
     */
    private String csdz;
    /**
     * 家庭住址
     */
    private String jtzz2;
    /**
     * 邮政编码
     */
    private String yzbm;
    /**
     * 通讯地址
     */
    private String txdz2;
    /**
     * 国家科技部学科领域
     */
    private String gjkjbxkly;
    private String gjkjbxklymc;
    /**
     * 国家基金委学科领域
     */
    private String gjjjwxkly;
    private String gjjjwxklymc;
    /**
     * 授予国别
     */
    private String sygb;
    private String sygbmc;
    /**
     * 授予年份
     */
    private Integer synf;
    /**
     * 院士
     */
    private String ys;
    /**
     * 博士后
     */
    private String bsh;
    /**
     * 移动电话
     */
    private String yddh;
    /**
     * 传真
     */
    private String cz;
    /**
     * 曾获奖励及荣誉称号情况
     */
    private String chjljrychqk;
    /**
     * 系统用户
     */
    private Integer xtyh;
    private String xtyhmc;
    /**
     * 部门
     */
    private Integer bm;
    private String bmmc;
    /**
     * 创建人
     */
    private Integer cjr;
    /**
     * 用户导入使用，序号
     */
    private Integer xh;

    public Integer getXh() {
        return xh;
    }

    public void setXh(Integer xh) {
        this.xh = xh;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDw() {
        return dw;
    }

    public void setDw(Integer dw) {
        this.dw = dw;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getDwxz() {
        return dwxz;
    }

    public void setDwxz(String dwxz) {
        this.dwxz = dwxz;
    }

    public String getDwxzmc() {
        return dwxzmc;
    }

    public void setDwxzmc(String dwxzmc) {
        this.dwxzmc = dwxzmc;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getXb() {
        return xb;
    }

    public void setXb(String xb) {
        this.xb = xb;
    }

    public String getMz() {
        return mz;
    }

    public void setMz(String mz) {
        this.mz = mz;
    }

    public String getCsd() {
        return csd;
    }

    public void setCsd(String csd) {
        this.csd = csd;
    }

    public Date getCsrq() {
        return csrq;
    }

    public void setCsrq(Date csrq) {
        this.csrq = csrq;
    }

    public String getDp() {
        return dp;
    }

    public void setDp(String dp) {
        this.dp = dp;
    }

    public String getDpmc() {
        return dpmc;
    }

    public void setDpmc(String dpmc) {
        this.dpmc = dpmc;
    }

    public String getHghq() {
        return hghq;
    }

    public void setHghq(String hghq) {
        this.hghq = hghq;
    }

    public String getHghqmc() {
        return hghqmc;
    }

    public void setHghqmc(String hghqmc) {
        this.hghqmc = hghqmc;
    }

    public Integer getGzdw() {
        return gzdw;
    }

    public void setGzdw(Integer gzdw) {
        this.gzdw = gzdw;
    }

    public String getGzdwmc() {
        return gzdwmc;
    }

    public void setGzdwmc(String gzdwmc) {
        this.gzdwmc = gzdwmc;
    }

    public String getGddh() {
        return gddh;
    }

    public void setGddh(String gddh) {
        this.gddh = gddh;
    }

    public String getJtzz1() {
        return jtzz1;
    }

    public void setJtzz1(String jtzz1) {
        this.jtzz1 = jtzz1;
    }

    public String getZzdh() {
        return zzdh;
    }

    public void setZzdh(String zzdh) {
        this.zzdh = zzdh;
    }

    public String getTxdz1() {
        return txdz1;
    }

    public void setTxdz1(String txdz1) {
        this.txdz1 = txdz1;
    }

    public String getDzyj() {
        return dzyj;
    }

    public void setDzyj(String dzyj) {
        this.dzyj = dzyj;
    }

    public Integer getByxx() {
        return byxx;
    }

    public void setByxx(Integer byxx) {
        this.byxx = byxx;
    }

    public String getByxxmc() {
        return byxxmc;
    }

    public void setByxxmc(String byxxmc) {
        this.byxxmc = byxxmc;
    }

    public Integer getXl() {
        return xl;
    }

    public void setXl(Integer xl) {
        this.xl = xl;
    }

    public String getXlmc() {
        return xlmc;
    }

    public void setXlmc(String xlmc) {
        this.xlmc = xlmc;
    }

    public String getXw() {
        return xw;
    }

    public void setXw(String xw) {
        this.xw = xw;
    }

    public String getXwmc() {
        return xwmc;
    }

    public void setXwmc(String xwmc) {
        this.xwmc = xwmc;
    }

    public String getZc() {
        return zc;
    }

    public void setZc(String zc) {
        this.zc = zc;
    }

    public String getZcmc() {
        return zcmc;
    }

    public void setZcmc(String zcmc) {
        this.zcmc = zcmc;
    }

    public String getZyzc() {
        return zyzc;
    }

    public void setZyzc(String zyzc) {
        this.zyzc = zyzc;
    }

    public Date getBysj() {
        return bysj;
    }

    public void setBysj(Date bysj) {
        this.bysj = bysj;
    }

    public Integer getWyyz() {
        return wyyz;
    }

    public void setWyyz(Integer wyyz) {
        this.wyyz = wyyz;
    }

    public String getWyyzmc() {
        return wyyzmc;
    }

    public void setWyyzmc(String wyyzmc) {
        this.wyyzmc = wyyzmc;
    }

    public String getSlcd() {
        return slcd;
    }

    public void setSlcd(String slcd) {
        this.slcd = slcd;
    }

    public String getCsdz() {
        return csdz;
    }

    public void setCsdz(String csdz) {
        this.csdz = csdz;
    }

    public String getJtzz2() {
        return jtzz2;
    }

    public void setJtzz2(String jtzz2) {
        this.jtzz2 = jtzz2;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getTxdz2() {
        return txdz2;
    }

    public void setTxdz2(String txdz2) {
        this.txdz2 = txdz2;
    }

    public String getGjkjbxkly() {
        return gjkjbxkly;
    }

    public void setGjkjbxkly(String gjkjbxkly) {
        this.gjkjbxkly = gjkjbxkly;
    }

    public String getGjkjbxklymc() {
        return gjkjbxklymc;
    }

    public void setGjkjbxklymc(String gjkjbxklymc) {
        this.gjkjbxklymc = gjkjbxklymc;
    }

    public String getGjjjwxkly() {
        return gjjjwxkly;
    }

    public void setGjjjwxkly(String gjjjwxkly) {
        this.gjjjwxkly = gjjjwxkly;
    }

    public String getGjjjwxklymc() {
        return gjjjwxklymc;
    }

    public void setGjjjwxklymc(String gjjjwxklymc) {
        this.gjjjwxklymc = gjjjwxklymc;
    }

    public String getSygb() {
        return sygb;
    }

    public void setSygb(String sygb) {
        this.sygb = sygb;
    }

    public String getSygbmc() {
        return sygbmc;
    }

    public void setSygbmc(String sygbmc) {
        this.sygbmc = sygbmc;
    }

    public Integer getSynf() {
        return synf;
    }

    public void setSynf(Integer synf) {
        this.synf = synf;
    }

    public String getYs() {
        return ys;
    }

    public void setYs(String ys) {
        this.ys = ys;
    }

    public String getBsh() {
        return bsh;
    }

    public void setBsh(String bsh) {
        this.bsh = bsh;
    }

    public String getYddh() {
        return yddh;
    }

    public void setYddh(String yddh) {
        this.yddh = yddh;
    }

    public String getCz() {
        return cz;
    }

    public void setCz(String cz) {
        this.cz = cz;
    }

    public String getChjljrychqk() {
        return chjljrychqk;
    }

    public void setChjljrychqk(String chjljrychqk) {
        this.chjljrychqk = chjljrychqk;
    }

    public Integer getXtyh() {
        return xtyh;
    }

    public void setXtyh(Integer xtyh) {
        this.xtyh = xtyh;
    }

    public String getXtyhmc() {
        return xtyhmc;
    }

    public void setXtyhmc(String xtyhmc) {
        this.xtyhmc = xtyhmc;
    }

    public Integer getBm() {
        return bm;
    }

    public void setBm(Integer bm) {
        this.bm = bm;
    }

    public String getBmmc() {
        return bmmc;
    }

    public void setBmmc(String bmmc) {
        this.bmmc = bmmc;
    }

    public Integer getCjr() {
        return cjr;
    }

    public void setCjr(Integer cjr) {
        this.cjr = cjr;
    }

}

